{
  "codeName" : "HasPanelList",
  "controlType" : "LIST",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSLISTS/HasPanelList.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "getItemPSLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "bookname",
      "viewFieldName" : "IBIZBOOKNAME"
    }, {
      "id" : "author",
      "viewFieldName" : "AUTHOR"
    }, {
      "id" : "press",
      "viewFieldName" : "PRESS"
    } ],
    "codeName" : "HasPanelList",
    "controlType" : "PANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSPANELS/HasPanelList.json",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "嵌入面板项布局面板",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewpanels/HasPanelList",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKHasPanelListView/psappviewctrls/list_itempanel",
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container1",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colLG" : 6,
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "图书名称",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "bookname",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "bookname",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "IBIZBOOKNAME",
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "图书作者",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "author",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "author",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "AUTHOR",
        "hidden" : false,
        "showCaption" : false
      }, {
        "caption" : "图书出版社",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "press",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "press",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "viewFieldName" : "PRESS",
        "hidden" : false,
        "showCaption" : false
      } ]
    } ],
    "name" : "list_itempanel",
    "modelid" : "ac4a9dd245cb96ec78814955e7e61749",
    "modeltype" : "PSSYSVIEWPANEL"
  },
  "logicName" : "HasPanelList",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdelists/HasPanelList",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "list",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_list",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEListDataItems" : [ {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "name" : "type"
  }, {
    "dataType" : 25,
    "name" : "ibizbookid"
  }, {
    "dataType" : 25,
    "name" : "press"
  }, {
    "dataType" : 9,
    "name" : "booknumber"
  }, {
    "dataType" : 25,
    "name" : "author"
  }, {
    "dataType" : 25,
    "name" : "ibizbookname"
  }, {
    "dataType" : 7,
    "name" : "price"
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "pagingSize" : 10,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKHasPanelListView/psappviewctrls/list",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "enableGroup" : false,
  "enableRowEdit" : false,
  "enableRowEditGroup" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "noSort" : false,
  "showHeader" : true,
  "modelid" : "ac4a9dd245cb96ec78814955e7e61749",
  "modeltype" : "PSDELIST"
}